#ifndef __pak_h_
#define __pak_h_
#ifdef __cplusplus
extern "C" {
#endif

#define PAK_ID (('K'<<24)+('C'<<16)+('A'<<8)+'P')
#define PAK_MAX_DIRECTORY_ENTRIES 16384
#define PAK_HEADER_SIZE 12
#define PAK_DIRECTORY_ENTRY_SIZE 64

typedef struct
{
	int ID;
	int Directory_Offset;
	int Directory_Lengh;
	int Files;
} PAK_Header_t;

typedef struct
{
	char File_Name[56];
	int File_Offset;
	int File_Lengh;
} PAK_Directory_Entry_t;

typedef struct
{
	unsigned char *PAK_Lump_data;
} PAK_Lump_t;

typedef struct
{
	PAK_Header_t PAK_Header;
	PAK_Directory_Entry_t PAK_Directory_Entry[PAK_MAX_DIRECTORY_ENTRIES];
} PAK_t;

void PAK_Load_Lump(PAK_t *PAK, PAK_Lump_t *PAK_Lump, char *File, char *PAK_File);

#ifdef __cplusplus
}
#endif
#endif